package com.cyl.manager.staff.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cyl.manager.staff.domain.Staff;
import com.cyl.manager.staff.domain.StaffWechat;
import org.apache.ibatis.annotations.Param;

/**
 * 人员信息Mapper接口
 * 
 * @author ruoyi
 * @date 2023-12-26
 */
public interface StaffMapper extends BaseMapper<Staff>
{
    /**
     * 查询人员信息
     * 
     * @param id 人员信息主键
     * @return 人员信息
     */
    public Staff selectStaffById(Long id);

    /**
     * 查询人员信息列表
     * 
     * @param staff 人员信息
     * @return 人员信息集合
     */
    public List<Staff> selectStaffList(Staff staff);

    /**
     * 新增人员信息
     * 
     * @param staff 人员信息
     * @return 结果
     */
    public int insertStaff(Staff staff);

    /**
     * 修改人员信息
     * 
     * @param staff 人员信息
     * @return 结果
     */
    public int updateStaff(Staff staff);

    /**
     * 删除人员信息
     * 
     * @param id 人员信息主键
     * @return 结果
     */
    public int deleteStaffById(Long id);

    /**
     * 批量删除人员信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStaffByIds(Long[] ids);

    List<Staff> selectStaffByCondition(@Param("petTypes") List<String> petTypes, @Param("name") String name, @Param("staffIds")List<Long> staffIds);
}
